Mail archive
alpine-devel

[alpine-devel] [PATCH] Initial import of lshw and scapy packages

From: Paul Kilar <pkilar_at_gmail.com>
Date: Wed, 28 Aug 2013 10:51:59 -0400

---
 testing/lshw/APKBUILD         | 40 ++++++++++++++++++++++++++++++++++++++++
 testing/lshw/lshw-gcc43.patch | 23 +++++++++++++++++++++++
 testing/scapy/APKBUILD        | 39 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 102 insertions(+)
 create mode 100644 testing/lshw/APKBUILD
 create mode 100644 testing/lshw/lshw-gcc43.patch
 create mode 100644 testing/scapy/APKBUILD
diff --git a/testing/lshw/APKBUILD b/testing/lshw/APKBUILD
new file mode 100644
index 0000000..aadf6bd
--- /dev/null
+++ b/testing/lshw/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Paul Kilar <pkilar_at_gmail.com>
+# Maintainer: Paul Kilar <pkilar_at_gmail.com>
+pkgname=lshw
+pkgver='02.17'
+pkgrel=0
+pkgdesc="Hardware Lister"
+url="http://ezix.org/project/wiki/HardwareLiSter"
+arch="all"
+license="GPL3+"
+depends=""
+depends_dev="gcc-c++ sqlite3-devel libstdc++-dev libstdc++"
+makedepends=""
+install=""
+subpackages="$pkgname-doc"
+source="http://ezix.org/software/files/lshw-B.$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-B.$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make RPM_OPT_FLAGS=-DNONLS
+}
+
+package() {
+	cd "$_builddir"
+	make -j1 DESTDIR="$pkgdir" install
+}
+
+md5sums="a5feb796cb302850eaf5b4530888e3ed  lshw-B.02.17.tar.gz"
+sha256sums="eb9cc053fa0f1e78685cb695596e73931bfb55d2377e3bc3b8b94aff4c5a489c  lshw-B.02.17.tar.gz"
+sha512sums="868899dce98e786a08a2134d6e132c388d71ab0f03fa6e10881e14d7a882c1882b46bbc6bd6ddb021cfab87ad6c9fd369453c3916f0b3353027eb2d470e55d9b  lshw-B.02.17.tar.gz"
diff --git a/testing/lshw/lshw-gcc43.patch b/testing/lshw/lshw-gcc43.patch
new file mode 100644
index 0000000..c56b038
--- /dev/null
+++ b/testing/lshw/lshw-gcc43.patch
_at_@ -0,0 +1,23 @@
+--- src/core/abi.cc.orig	2010-03-15 21:26:20.000000000 +0100
++++ src/core/abi.cc	2013-08-06 21:05:08.693772583 +0200
+_at_@ -11,6 +11,7 @@
+ #include <unistd.h>
+ #include <stdlib.h>
+ #include <dirent.h>
++#include <cstdlib>
+ 
+ __ID("_at_(#) $Id: mem.cc 1352 2006-05-27 23:54:13Z ezix $");
+ 
+_at_@ -38,10 +39,10 @@
+     for(i=0; i<n; i++)
+     {
+       system.addCapability(namelist[i]->d_name);
+-      free(namelist[i]);
++      std::free(namelist[i]);
+     }
+     if(namelist)
+-      free(namelist);
++      std::free(namelist);
+   }
+ 
+   popd();
diff --git a/testing/scapy/APKBUILD b/testing/scapy/APKBUILD
new file mode 100644
index 0000000..3eea19a
--- /dev/null
+++ b/testing/scapy/APKBUILD
_at_@ -0,0 +1,39 @@
+# Contributor: Paul Kilar <pkilar_at_gmail.com>
+# Maintainer: Paul Kilar <pkilar_at_gmail.com>
+pkgname=scapy
+pkgver='2.1.0'
+pkgrel=0
+pkgdesc="Powerful interactive packet manipulation"
+url="http://www.secdev.org/projects/scapy/"
+arch="noarch"
+license="GPL3+"
+depends="python"
+depends_dev=""
+makedepends=""
+install=""
+subpackages="$pkgname-doc"
+source="http://www.secdev.org/projects/scapy/files/scapy-$pkgver.tar.gz"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+md5sums="357b5b21ea3b4f289a326c0905b715c1  scapy-2.1.0.tar.gz"
+sha256sums="43ca233b0cfc950401193e2702ea32ee1dd83d4bab671371e322a7b6c52275ba  scapy-2.1.0.tar.gz"
+sha512sums="51153b922ea34f818523ecb679f4598404b692fc135e7cdbd356b3878c276d93229530107b47cbe59df25ef637e628eee1f48069b9d3128eb402dfe5871ecc2a  scapy-2.1.0.tar.gz"
-- 
1.8.2.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Aug 28 2013 - 10:51:59 GMT